UCS 3.2 Update: "WARNING: The following packages cannot..."

german

#1

Hallo,

beim Versuch, auf meinem 3.2-4 errata241 folgende Pakete zu aktualisieren:

11 Pakete werden aktualisiert linux-libc-dev 3.10.11-1.107.201411281532 python-univention-lib 3.0.26-69.287.201411201633 python-univention-management-console 6.0.24-32.836.201411201829 shell-univention-lib 3.0.26-69.287.201411201633 univention-errata-level 2.0.0-1.536.201412031438 univention-kernel-headers 7.0.0-16.67.201412010901 univention-kernel-image 7.0.0-16.67.201412010901 univention-management-console 6.0.24-32.836.201411201829 univention-management-console-module-setup 7.0.69-62.786.201411211643 univention-management-console-server 6.0.24-32.836.201411201829 univention-system-setup 7.0.69-62.786.201411211643 3 Pakete werden NEU installiert linux-headers-3.10.0-ucs107-amd64 3.10.11-1.107.201411281532 linux-headers-3.10.0-ucs107-common 3.10.11-1.107.201411281532 linux-image-3.10.0-ucs107-amd64 3.10.11-1.107.201411281532

bleibt der Updater mit einem Fehler stecken:

[code]Starting dist-upgrade at Mon Dec 15 15:12:24 CET 2014
Reading package lists…
Building dependency tree…
Reading state information…
The following NEW packages will be installed:
linux-headers-3.10.0-ucs107-amd64 linux-headers-3.10.0-ucs107-common
linux-image-3.10.0-ucs107-amd64
The following packages will be upgraded:
linux-libc-dev python-univention-lib python-univention-management-console
shell-univention-lib univention-errata-level univention-kernel-headers
univention-kernel-image univention-management-console
univention-management-console-module-setup
univention-management-console-server univention-system-setup
11 upgraded, 3 newly installed, 0 to remove and 0 not upgraded.
Need to get 32.7 MB of archives.
After this operation, 168 MB of additional disk space will be used.
WARNING: The following packages cannot be authenticated!
linux-image-3.10.0-ucs107-amd64 univention-kernel-image
linux-headers-3.10.0-ucs107-common linux-headers-3.10.0-ucs107-amd64
linux-libc-dev shell-univention-lib python-univention-lib
univention-management-console univention-management-console-server
univention-management-console-module-setup univention-system-setup
python-univention-management-console univention-errata-level
univention-kernel-headers
E: There are problems and -y was used without --force-yes

ERROR: An error occurred during update. Please check the logfiles.
Mon Dec 15 15:12:24 CET 2014

Starting univention-upgrade. Current UCS version is 3.2-4 errata241

Checking for local repository: skipped
Checking for release updates:
Please rerun command without --check argument to install.[/code]

Ich vermute, da muss ich an die Shell ran - nur, wie macht der UCS die Authentifizierung? Online oder nur ein herkömmlicher Signatur-Check? Will sagen: ist das ein Connectivity-Problem, oder sonst was mit den Signaturen?

Vielleicht kann mir jemand helfen,

Beste Grüße,

TP


UCS update failed / 4.0-2
UCS update failed / 4.0-2
#2

Hallo,

wenn kein Lokales Repository verwendet wird (in dem Fall ist die Signaturprüfung zu deaktivieren, UCR repository/online/verify), werden PGP Signaturen verwendet.
Wir haben bereits Fälle gesehen in denen Proxy-Server/FIrewalls/DPI Systeme die Signaturen zerstört und eine Validierung damit unmöglich gemacht haben.

Mit freundlichen Grüßen
Janis Meybohm


#3

Guten Tag Herr Meybohm,

danke für die Rückmeldung!

Tatsächlich war es in meinem Fall die Sophos UTM (ehemals Astaro Deutschland), welche dieses Problem mit dem Proxy (kein Squid, sondern proprietär) erst seit Version 9.3 verursacht. Bis 9.2 gingen die Pakete einwandfrei durch.
Es ist dabei nicht von Nutzen, die URLs von diversen Proxy-Scan-Mechanismen auszunehmen (das hatte ich schon versucht), sondern die Pakete müssen komplett am Proxy vorbei (“skiplist”), ansonsten werden sie auf jeden Fall beschädigt.

Ich weiß nicht, ob es von Ihnen aus möglich/sinnvoll ist, dies auf informellem Wege nach Karlsruhe an Astaro/Sophos zu melden.

Sie haben mich jedenfalls mal wieder prompt auf die richtige Spur gebracht, vielen Dank!

TP


#4

Aha:

astaro.org/gateway-products … post283285


#5

[quote=“The Preacher”]Aha:

astaro.org/gateway-products … post283285[/quote]

Danke. Ich hatte das in einen SDB-Artikel übernommen: Error fetching or authenticating packages and/or package lists